org.apache.sysds.runtime.controlprogram.paramserv.dp

## Class ORSparkScheme

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionSparkScheme
  - - org.apache.sysds.runtime.controlprogram.paramserv.dp.ORSparkScheme

All Implemented Interfaces:
  Serializable

    public class ORSparkScheme
    extends DataPartitionSparkScheme

Spark data partitioner Overlap_Reshuffle:

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionSparkScheme.Result` `doPartitioning(int numWorkers, int rblkID, MatrixBlock features, MatrixBlock labels)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### doPartitioning

    public org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionSparkScheme.Result doPartitioning(int numWorkers,
                                                                                                               int rblkID,
                                                                                                               MatrixBlock features,
                                                                                                               MatrixBlock labels)

Specified by:
  `doPartitioning` in class `DataPartitionSparkScheme`